### Constructor

# ICalGLib Value new_from_string

since: 1.0

#### Declaration [src]

    ICalValue*
    i_cal_value_new_from_string (
      ICalValueKind kind,
      const gchar* str
    )

#### Description [src]

Creates a new `ICalValue` based on the `ICalValueKind` and a string.

Available since: 1.0

#### Parameters

`kind`

  Type: `ICalValueKind`

  A `ICalValueKind`.

`str`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalValue`

The newly created `ICalValue` based on the `kind` and `str`.

The caller of the function takes ownership of the data, and is responsible for freeing it.